### Hierarchy

- HttpTransport

### Implemented by

- HttpTransportImpl
- HttpTransportSyncedImpl

## Index

### Methods

- addInterceptor
- getHost
- sendRequest

## Methods

### addInterceptor

- addInterceptor(interceptor: HttpInterceptor): HttpTransport

- - Defined in repository/source/http/HttpTransport.ts:13

  #### Parameters

  - ##### interceptor: HttpInterceptor

  #### Returns HttpTransport

### getHost

- getHost(): string

- - Defined in repository/source/http/HttpTransport.ts:7

  #### Returns string

### sendRequest

- sendRequest(method: HttpMethod, data?: any): Promise<Response>
- sendRequest(path: string, method: HttpMethod, data?: any): Promise<Response>

- - Defined in repository/source/http/HttpTransport.ts:9

  #### Parameters

  - ##### method: HttpMethod

  - ##### Optional data: any

  #### Returns Promise<Response>

- - Defined in repository/source/http/HttpTransport.ts:11

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### Optional data: any

  #### Returns Promise<Response>

Generated using TypeDoc